QueryTermVector (Lucene 2.4.1 API)
Keywords: org.apache.lucene.search.QueryTermVector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class QueryTermVector

    java.lang.Object
      org.apache.lucene.search.QueryTermVector

All Implemented Interfaces:
  TermFreqVector

    public class QueryTermVector

extends Object
implements TermFreqVector

Constructor Summary
`QueryTermVector(String[] queryTerms)`
`QueryTermVector(String queryString, Analyzer analyzer)`

Method Summary
`String` | `getField()` The `Fieldable` name.
`int[]` | `getTermFrequencies()` Array of term frequencies.
`String[]` | `getTerms()`
`int[]` | `indexesOf(String[] terms, int start, int len)` Just like `indexOf(int)` but searches for a number of terms at the same time.
`int` | `indexOf(String term)` Return an index in the term numbers array returned from `getTerms` at which the term with the specified `term` appears.
`int` | `size()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryTermVector

    public QueryTermVector(String[] queryTerms)

Parameters:
  `queryTerms` - The original list of terms from the query, can contain duplicates

### QueryTermVector

    public QueryTermVector(String queryString,
                           Analyzer analyzer)

Method Detail

### getField

    public String getField()

  Description copied from interface: `TermFreqVector`
  The `Fieldable` name.

  Specified by:
    `getField` in interface `TermFreqVector`
  Returns:
    The name of the field this vector is associated with.

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

### size

    public int size()

  Specified by:
    `size` in interface `TermFreqVector`
  Returns:
    The number of terms in the term vector.

### getTerms

    public String[] getTerms()

  Specified by:
    `getTerms` in interface `TermFreqVector`
  Returns:
    An Array of term texts in ascending order.

### getTermFrequencies

    public int[] getTermFrequencies()

  Description copied from interface: `TermFreqVector`
  Array of term frequencies. Locations of the array correspond one to one to the terms in the array obtained from `getTerms` method. Each location in the array contains the number of times this term occurs in the document or the document field.

  Specified by:
    `getTermFrequencies` in interface `TermFreqVector`

### indexOf

    public int indexOf(String term)

  Description copied from interface: `TermFreqVector`
  Return an index in the term numbers array returned from `getTerms` at which the term with the specified `term` appears. If this term does not appear in the array, return -1.

  Specified by:
    `indexOf` in interface `TermFreqVector`

### indexesOf

    public int[] indexesOf(String[] terms,
                           int start,
                           int len)

  Description copied from interface: `TermFreqVector`
  Just like `indexOf(int)` but searches for a number of terms at the same time. Returns an array that has the same size as the number of terms searched for, each slot containing the result of searching for that term number.

  Specified by:
    `indexesOf` in interface `TermFreqVector`
  Parameters:
    `terms` - array containing terms to look for
    `start` - index in the array where the list of terms starts
    `len` - the number of terms in the list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.